var mapForn = {'cdForn': message.get("cdForn"), 
							 'cdEmp': message.get("cdEmp")};

var mapper = mapperFactory.createMapperMult(["PgFornCentroCusto", "PgFornCnt", "PgFornImposto", "PgFornEstNfSerie", "PgFornRcCli", 
                                             "PgFornCdFilForn", "PgFornFornVinculado", "PgFornMsgRet", "PgForn"]);

try{
	/* excluir vinculo de PG_FORN_CENTRO_CUSTO */
	mapper.update("PgFornCentroCusto.excluirPgFornCentroCusto", mapForn);
	
	/* excluir vinculo de PG_FORN_CNT */
	mapper.update("PgFornCnt.excluirPgFornCnt", mapForn);
		
	/* excluir vinculo de PG_FORN_IMPOSTO */
	mapper.update("PgFornImposto.excluirPgFornImposto", mapForn);
	
	/* excluir vinculo de PG_FORN_EST_NF_SERIE */
	mapper.update("PgFornEstNfSerie.excluirPgFornEstNfSerie", mapForn);
	
	/* excluir vinculo de PG_FORN_RC_CLI */
	mapper.update("PgFornRcCli.excluirPgFornRcCli", mapForn);
	
	/* excluir vinculo de PG_FORN_CD_FIL_FORN*/
	mapper.update("PgFornCdFilForn.excluirPgFornCdFilForn", mapForn);
	
	/* excluir vinculo de PG_FORN_FORN_VINCULADO */
	mapper.update("PgFornFornVinculado.excluirPgFornFornVinculado", mapForn);
	
	/* excluir vinculo de PG_FORN_MSG_RET */
	mapper.update("PgFornMsgRet.excluirPgFornMsgRet", mapForn);
	
	/* excluir vinculo de PG_FORN */
	mapper.update("PgForn.excluirPgForn", mapForn);	
	mapper.commit();

}catch(err){
	mapper.rollback();
	throw " Ocorreu um erro: " + err;
}